## screen-n900 4.0.3-0.3osso4%2b0m5-3

=== Makefile ===
#
# Makefile template for screen 
#
# See machine dependant config.h for more configuration options.
#

srcdir = .


DESTDIR = 

# Where to install screen.

prefix = /usr
exec_prefix = ${prefix}

# don't forget to change mandir and infodir in doc/Makefile.
bindir  = $(exec_prefix)/bin

VERSION = 4.0.3
SCREEN = screen-$(VERSION)

ETCSCREENRC = `sed < config.h -n -e '/define ETCSCREENRC/s/^.*"\([^"]*\)"/\1/p'`
SCREENENCODINGS = `sed < config.h -n -e '/define SCREENENCODINGS/s/^.*"\([^"]*\)"/\1/p'`

CC = gcc
CFLAGS = -g -O2
CPPFLAGS = 
LDFLAGS = 
LIBS = -lncursesw  -lutil -lcrypt

CPP=gcc -E
CPP_DEPEND=$(CC) -MM

INSTALL = /scratchbox/tools/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644

AWK = gawk

### Chose some debug configuration options:
# -DDEBUG
#	Turn on really heavy debug output. This is written to 
#	/tmp/debug/{SCREEN,screen}.<pid>. Look at these files and quote 
#	questionable sections when sending bug-reports to the author.
# -DDUMPSHADOW
#	With shadow-pw screen would never dump core. Use this option if
#	you still want to have a core. Use only for debugging.
OPTIONS=
#OPTIONS= -DDEBUG

SHELL=/bin/sh

CFILES=	screen.c ansi.c fileio.c mark.c misc.c resize.c socket.c \
	search.c tty.c term.c window.c utmp.c loadav.c putenv.c help.c \
	termcap.c input.c attacher.c pty.c process.c display.c comm.c \
	kmapdef.c acls.c braille.c braille_tsi.c logfile.c layer.c \
	sched.c teln.c nethack.c encoding.c
OFILES=	screen.o ansi.o fileio.o mark.o misc.o resize.o socket.o \
	search.o tty.o term.o window.o utmp.o loadav.o putenv.o help.o \
	termcap.o input.o attacher.o pty.o process.o display.o comm.o \
	kmapdef.o acls.o braille.o braille_tsi.o logfile.o layer.o \
	sched.o teln.o nethack.o encoding.o

all:	screen

screen: $(OFILES)
	$(CC) $(LDFLAGS) -o $@ $(OFILES) $(LIBS)

.c.o:
	$(CC) -c -I. -I$(srcdir) $(M_CFLAGS) $(DEFS) $(OPTIONS) $(CFLAGS) $<

install_bin: .version screen
	-if [ -f $(DESTDIR)$(bindir)/$(SCREEN) ] && [ ! -f $(DESTDIR)$(bindir)/$(SCREEN).old ]; \
		then mv $(DESTDIR)$(bindir)/$(SCREEN) $(DESTDIR)$(bindir)/$(SCREEN).old; fi
	$(INSTALL_PROGRAM) screen $(DESTDIR)$(bindir)/$(SCREEN)
	-chown root $(DESTDIR)$(bindir)/$(SCREEN) && chmod 4755 $(DESTDIR)$(bindir)/$(SCREEN)
# This doesn't work if $(bindir)/screen is a symlink
	-if [ -f $(DESTDIR)$(bindir)/screen ] && [ ! -f $(DESTDIR)$(bindir)/screen.old ]; then mv $(DESTDIR)$(bindir)/screen $(DESTDIR)$(bindir)/screen.old; fi
	rm -f $(DESTDIR)$(bindir)/screen
	(cd $(DESTDIR)$(bindir) && ln -sf $(SCREEN) screen)
	cp $(srcdir)/utf8encodings/?? $(DESTDIR)$(SCREENENCODINGS)

###############################################################################
install: installdirs install_bin
	cd doc ; $(MAKE) install
	-if [ -d /usr/lib/terminfo ]; then \
		PATH="$$PATH:/usr/5bin" tic ${srcdir}/terminfo/screeninfo.src; \
		chmod 644 /usr/lib/terminfo/s/screen*; \
	fi
# Better do this by hand. E.g. under RCS...
#	cat ${srcdir}/terminfo/screencap >> /etc/termcap
	@echo "termcap entry (${srcdir}/terminfo/screencap) should be installed manually."
	@echo "You may also want to install $(srcdir)/etc/etcscreenrc in" $(ETCSCREENRC)

installdirs:
# Path leading to ETCSCREENRC and Socketdirectory not checked.
	$(srcdir)/etc/mkinstalldirs $(DESTDIR)$(bindir) $(DESTDIR)$(SCREENENCODINGS)
	cd doc ; $(MAKE) installdirs

uninstall: .version
	rm -f $(DESTDIR)$(bindir)/$(SCREEN)
	rm -f $(DESTDIR)$(bindir)/screen
	-mv $(DESTDIR)$(bindir)/screen.old $(DESTDIR)$(bindir)/screen
	rm -f $(DESTDIR)$(ETCSCREENRC)
	cd doc; $(MAKE) uninstall

shadow:
	mkdir shadow;
	cd shadow; ln -s ../*.[ch] ../*.in ../*.sh ../configure ../doc ../terminfo ../etc .
	rm -f shadow/term.h shadow/tty.c shadow/comm.h shadow/osdef.h
	echo "install all Makefiles and config:" > shadow/Makefile
	echo "	rm -f config.cache" >> shadow/Makefile
	echo "	sh ./configure" >> shadow/Makefile
	
term.h: term.c term.sh
	AWK=$(AWK) srcdir=$(srcdir) sh $(srcdir)/term.sh

kmapdef.c: term.h

tty.c:	tty.sh 
	sh $(srcdir)/tty.sh tty.c

comm.h: comm.c comm.sh config.h
	AWK=$(AWK) CC="$(CC) $(CFLAGS)" srcdir=${srcdir} sh $(srcdir)/comm.sh

osdef.h: osdef.sh config.h osdef.h.in
	CPP="$(CPP) $(CPPFLAGS)" srcdir=${srcdir} sh $(srcdir)/osdef.sh

docs:
	cd doc; $(MAKE) dvi screen.info

dvi info screen.info:
	-cd doc; $(MAKE) $@

mostlyclean:
	rm -f $(OFILES) screen config.cache osdef0.c osdef1.sed osdef2.sed

clean celan: mostlyclean
	rm -f tty.c term.h comm.h osdef.h kmapdef.c core

# Delete all files from the current directory that are created by 
# configuring or building the program.
# building of term.h/comm.h requires awk. Keep it in the distribution
# we keep config.h, as this file knows where 'make dist' finds the ETCSCREENRC.
#distclean:	mostlyclean
#	rm -f $(SCREEN).tar $(SCREEN).tar.gz
#	rm -f config.status Makefile
#	rm -f osdef.h doc/Makefile

maintainer-clean:
	@echo "This command is not even intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."


# Delete everything from the current directory that can be
# reconstructed with this Makefile.
realclean: .version mostlyclean
	rm -f $(SCREEN).tar $(SCREEN).tar.gz
	rm -f config.status Makefile doc/Makefile
	rm -f tty.c term.h comm.h osdef.h kmapdef.c
	rm -f config.h
	echo "install all Makefiles and config:" > Makefile
	echo "  sh ./configure" >> Makefile

tags TAGS: $(CFILES)
	-ctags    *.sh $(CFILES) *.h
	-ctags -e *.sh $(CFILES) *.h

dist: .version $(SCREEN).tar.gz

$(SCREEN).tar: .version term.h comm.h tty.c kmapdef.c
	-rm -rf dist
	mkdir dist
	mkdir dist/$(SCREEN)
	ln acls.h ansi.h display.h extern.h logfile.h mark.h os.h \
	   layer.h patchlevel.h screen.h window.h image.h \
	   osdef.h.in term.sh tty.sh comm.sh osdef.sh braille.h \
	   sched.h \
	   $(CFILES) \
	   ChangeLog COPYING INSTALL NEWS* TODO install.sh \
	   dist/$(SCREEN)
	cd dist/$(SCREEN); mv tty.c tty.c.dist
	cd dist/$(SCREEN); mv kmapdef.c kmapdef.c.dist
	ln configure.in configure dist/$(SCREEN)
	sed -e 's@"/local/screens@"/tmp/screens@' -e 's@"/local@"/usr/local@g' < config.h.in > dist/$(SCREEN)/config.h.in
	sed -e 's@[	 ]/local@ /usr/local@g' -e 's/^CFLAGS = -g/CFLAGS = -O/' < Makefile.in > dist/$(SCREEN)/Makefile.in
	ln term.h dist/$(SCREEN)/term.h.dist
	ln comm.h dist/$(SCREEN)/comm.h.dist
	ln README dist/$(SCREEN)/README
	mkdir dist/$(SCREEN)/terminfo
	cd terminfo; ln 8bits README checktc.c screencap \
	  screeninfo.src test.txt tetris.c \
	  ../dist/$(SCREEN)/terminfo
	mkdir dist/$(SCREEN)/etc
	cd etc; ln * ../dist/$(SCREEN)/etc
	mkdir dist/$(SCREEN)/utf8encodings
	cd utf8encodings; ln * ../dist/$(SCREEN)/utf8encodings
	# sed -e 's/^startup/#startup/' -e 's/^autodetach/#autodetach/' < $(ETCSCREENRC) > dist/$(SCREEN)/etc/etcscreenrc 
	cp $(HOME)/.screenrc dist/$(SCREEN)/etc/screenrc
	mkdir dist/$(SCREEN)/doc
	sed -e 's@/local/emacs@/usr/local@g' < doc/Makefile.in > dist/$(SCREEN)/doc/Makefile.in
	cd doc; ln FAQ README.DOTSCREEN screen.1 screen.texinfo fdpat.ps make.help window_to_display.ps \
	  ../dist/$(SCREEN)/doc
	cd doc; if test -f screen.info; then ln screen.info* \
	   ../dist/$(SCREEN)/doc; fi
	cd dist/$(SCREEN)/doc; ln -s ../install.sh .
	cd dist/$(SCREEN); ln -s doc/FAQ .
	echo "install all Makefiles and config:" > dist/$(SCREEN)/Makefile
	echo "	rm -f config.cache" >> dist/$(SCREEN)/Makefile
	echo "	sh ./configure"     >> dist/$(SCREEN)/Makefile
	cd dist; tar cf ../$(SCREEN).tar $(SCREEN)
	rm -rf dist

$(SCREEN).tar.gz: $(SCREEN).tar
	gzip -nf $(SCREEN).tar || gzip -f $(SCREEN).tar

# Perform self-tests (if any).
check:

lint:
	lint -I. $(CFILES)

saber:
	#load $(CFLAGS) screen.c ansi.c $(LIBS)

config:
	rm -f config.cache
	sh ./configure


###############################################################################

.version:
	@rev=`sed < $(srcdir)/patchlevel.h -n -e '/#define REV/s/#define REV  *//p'`; \
	vers=`sed < $(srcdir)/patchlevel.h -n -e '/#define VERS/s/#define VERS  *//p'`; \
	pat=`sed < $(srcdir)/patchlevel.h -n -e '/#define PATCHLEVEL/s/#define PATCHLEVEL  *//p'`; \
	if [ "$${rev}.$${vers}.$${pat}" != "$(VERSION)" ]; then \
	echo "This distribution is screen-$${rev}.$${vers}.$${pat}, but"; \
	echo "the Makefile is from $(VERSION). Please update!"; exit 1; fi

###############################################################################

mdepend: $(CFILES) term.h
	@rm -f DEPEND ; \
	for i in ${CFILES} ; do \
	  echo "$$i" ; \
	  echo `echo "$$i" | sed -e 's/.c$$/.o/'`": $$i" `\
            cc -E $$i |\
            grep '^# .*"\./.*\.h"' |\
            (sort -t'"' -u -k 2,2 2>/dev/null || sort -t'"' -u +1 -2) |\
            sed -e 's/.*"\.\/\(.*\)".*/\1/'\
          ` >> DEPEND ; \
	done


depend: depend.in
	./config.status || ./configure
	
depend.in: $(CFILES) term.h
	cp Makefile.in Makefile.in~
	sed -e '/\#\#\# Dependencies/q' < Makefile.in > tmp_make
	for i in $(CFILES); do echo $$i; $(CPP_DEPEND) $$i >> tmp_make; done 
	mv tmp_make Makefile.in

###############################################################################

### Dependencies:
screen.o: screen.c config.h screen.h os.h osdef.h ansi.h acls.h \
 comm.h layer.h term.h image.h display.h window.h braille.h \
 patchlevel.h logfile.h extern.h
ansi.o: ansi.c config.h screen.h os.h osdef.h ansi.h acls.h \
 comm.h layer.h term.h image.h display.h window.h braille.h extern.h \
 logfile.h
fileio.o: fileio.c config.h screen.h os.h osdef.h ansi.h acls.h \
 comm.h layer.h term.h image.h display.h window.h extern.h
mark.o: mark.c config.h screen.h os.h osdef.h ansi.h acls.h \
 comm.h layer.h term.h image.h display.h window.h mark.h extern.h
misc.o: misc.c config.h screen.h os.h osdef.h ansi.h acls.h \
 comm.h layer.h term.h image.h display.h window.h extern.h
resize.o: resize.c config.h screen.h os.h osdef.h ansi.h acls.h \
 comm.h layer.h term.h image.h display.h window.h extern.h
socket.o: socket.c config.h screen.h os.h osdef.h ansi.h acls.h \
 comm.h layer.h term.h image.h display.h window.h extern.h
search.o: search.c config.h screen.h os.h osdef.h ansi.h acls.h \
 comm.h layer.h term.h image.h display.h window.h mark.h extern.h
tty.o: tty.c config.h screen.h os.h osdef.h ansi.h acls.h comm.h \
 layer.h term.h image.h display.h window.h extern.h
term.o: term.c term.h
window.o: window.c config.h screen.h os.h osdef.h ansi.h acls.h \
 comm.h layer.h term.h image.h display.h window.h extern.h logfile.h
utmp.o: utmp.c config.h screen.h os.h osdef.h ansi.h acls.h \
 comm.h layer.h term.h image.h display.h window.h extern.h
loadav.o: loadav.c config.h screen.h os.h osdef.h ansi.h acls.h \
 comm.h layer.h term.h image.h display.h window.h extern.h
putenv.o: putenv.c config.h
help.o: help.c config.h screen.h os.h osdef.h ansi.h acls.h \
 comm.h layer.h term.h image.h display.h window.h extern.h
termcap.o: termcap.c config.h screen.h os.h osdef.h ansi.h acls.h \
 comm.h layer.h term.h image.h display.h window.h extern.h
input.o: input.c config.h screen.h os.h osdef.h ansi.h acls.h \
 comm.h layer.h term.h image.h display.h window.h extern.h
attacher.o: attacher.c config.h screen.h os.h osdef.h ansi.h \
 acls.h comm.h layer.h term.h image.h display.h window.h extern.h
pty.o: pty.c config.h screen.h os.h osdef.h ansi.h acls.h comm.h \
 layer.h term.h image.h display.h window.h extern.h
process.o: process.c config.h screen.h os.h osdef.h ansi.h acls.h \
 comm.h layer.h term.h image.h display.h window.h extern.h logfile.h
display.o: display.c config.h screen.h os.h osdef.h ansi.h acls.h \
 comm.h layer.h term.h image.h display.h window.h extern.h braille.h
comm.o: comm.c config.h acls.h comm.h
kmapdef.o: kmapdef.c config.h
acls.o: acls.c config.h screen.h os.h osdef.h ansi.h acls.h comm.h \
 layer.h term.h image.h display.h window.h extern.h
braille.o: braille.c config.h screen.h os.h osdef.h ansi.h acls.h \
 comm.h layer.h term.h image.h display.h window.h extern.h braille.h
braille_tsi.o: braille_tsi.c config.h screen.h os.h osdef.h ansi.h \
 acls.h comm.h layer.h term.h image.h display.h window.h extern.h \

=== doc/Makefile ===
# Makefile for Screen documentation

srcdir = .


DESTDIR = 

prefix = /usr
mandir = $(prefix)/share/man
infodir = $(prefix)/share/info

INSTALL = /scratchbox/tools/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
MAKEINFO = makeinfo
TEXI2DVI = texi2dvi
TEXI2PDF = texi2pdf

SHELL = /bin/sh

all: screen.info

dvi screen.dvi: screen.texinfo mostlyclean
	$(TEXI2DVI) $(srcdir)/screen.texinfo

pdf screen.pdf: screen.texinfo mostlyclean
	$(TEXI2PDF) $(srcdir)/screen.texinfo

info screen.info: screen.texinfo
	@rm -f screen.info*
	$(MAKEINFO) $(srcdir)/screen.texinfo -o screen.info

install: installdirs
	$(INSTALL_DATA) $(srcdir)/screen.1 $(DESTDIR)$(mandir)/man1/screen.1
	-$(MAKE) screen.info
	-if test -f screen.info; then d=.; else d=$(srcdir); fi; \
	if test -f $$d/screen.info; then \
	for f in $$d/screen.info*; do $(INSTALL_DATA) $$f $(DESTDIR)$(infodir);done; \
	if $(SHELL) -c 'install-info --version' >/dev/null 2>&1; then \
	  install-info --info-dir=$(DESTDIR)$(infodir) $$d/screen.info; \
	else true; fi; \
	fi

uninstall:
	rm -f $(DESTDIR)$(mandir)/man1/screen.1
	rm -f $(DESTDIR)$(infodir)/screen.info*

installdirs:
	$(srcdir)/../etc/mkinstalldirs $(DESTDIR)$(mandir)/man1 $(DESTDIR)$(infodir)

mostlyclean:
	-rm -f *.cp *.cps *.fn *.fns *.ky *.kys *.pg *.tp *.vr
	-rm -f *.log *.aux *.toc *~

clean distclean clobber: mostlyclean
	-rm -f *.dvi

realclean: clean
	-rm -f *.info*

check installcheck:

## screen-n900 4.0.3-0.3osso4%2b0m5

=== debian/changelog ===
screen-n900 (4.0.3-0.3osso4+0m5) unstable; urgency=low

  * Renamed (because sdk-repository has already package 'screen')

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Sun, 10 Jul 2011 22:35:24 +0300

screen (4.0.3-0.3osso4+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Thu, 18 Jun 2009 15:53:24 +0300

screen (4.0.3-0.3osso4) unstable; urgency=low

  * Fixes: NB#122140 backspace in osso-xterm

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Thu, 18 Jun 2009 15:30:04 +0300

screen (4.0.3-0.3osso3+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Wed, 15 Apr 2009 12:37:04 +0300

screen (4.0.3-0.3osso3) unstable; urgency=low

  * rebuilt with new ncurses

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Wed, 15 Apr 2009 12:16:53 +0300

screen (4.0.3-0.3osso2) unstable; urgency=low

  * Make /var/run/screen 775
  * Set maemo integration as a maintainer

 -- Jussi Hakala <ext-jussi.hakala@nokia.com>  Mon, 14 May 2007 14:13:53 +0300

screen (4.0.3-0.3osso1) unstable; urgency=low

  * Depend from ncurses-base
  * Disable pam
  * Don't build-depend from libpam0g-dev

 -- Jussi Hakala <ext-jussi.hakala@nokia.com>  Thu, 26 Apr 2007 14:05:22 +0300

screen (4.0.3-0.3) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n isses.
  * Debconf translations:
    - Galician. Closes: #407960
    - Catalan. Closes: #412581
    - Convert all PO files, but Japanese, to UTF-8
  * Add an empty binary-indep target to debian/rules. Closes: #395743
  * Provide a simple LSB header to the init script

 -- Christian Perrier <bubulle@debian.org>  Mon,  5 Mar 2007 09:14:35 +0100

screen (4.0.3-0.2) unstable; urgency=low

  * Non-maintainer upload to fix a forgotten l10n issue in last NMU
  * Debconf translation updates:
    - Added Vietnamese. Closes: #317922
  * Modify the debconf dependency to better handle the cdebconf transition
    Closes: #332089

 -- Christian Perrier <bubulle@debian.org>  Wed,  8 Nov 2006 20:46:01 +0100

screen (4.0.3-0.1) unstable; urgency=high

  * Non-maintainer upload to fix a security issue
  * New upstream version fixing utf8 combining characters handling. The
    bugs could be used to crash/hang screen by writing a special string
    to a window (CVE-2006-4573). Closes: #395225
  * Debconf translation updates:
    - Finnish added. Closes: #303818
    - Swedish added. Closes: #331583
    - Portuguese added. Closes: #345059
    - Italian updated. Closes: #358160

 -- Christian Perrier <bubulle@debian.org>  Sat, 28 Oct 2006 07:35:57 +0200

screen (4.0.2-4.1) unstable; urgency=low

  * Non-maintainer upload
  * re-run autoconf, fix ftbfs                             (closes: #269366)

 -- David Kimdon <dwhedon@debian.org>  Sat, 13 Nov 2004 20:49:00 -0800

screen (4.0.2-4) unstable; urgency=low

  * new debconf translations:
    * Japanese - thanks Hideki Yamane                       (closes: #224175)
    * Italian - thanks Fabio Pani                           (closes: #224580)
    * Simplified Chinese - thanks Carlos Z.F. Liu           (closes: #230811)
    * Dutch - thanks Luk Claes                              (closes: #244326)
    * Czech - thanks Miroslav Kure                          (closes: #261243)

  * updated Danish translation  - thanks Morten Brix Pedersen (closes: #241241)

 -- Adam Lazur <zal@debian.org>  Tue, 24 Aug 2004 20:09:08 -0400

screen (4.0.2-3) unstable; urgency=high

  * security: fix hole in stale session cleanup init script which allows
    arbitrary file deletion on startup. Thanks to Roderick Schertler for
    pointing this out.                                      (closes: #238139)

 -- Adam Lazur <zal@debian.org>  Mon, 15 Mar 2004 20:46:35 -0500

screen (4.0.2-2) unstable; urgency=low

  * fix depends on passwd to include epoch                   (closes: #224192)

 -- Adam Lazur <zal@debian.org>  Tue,  6 Jan 2004 23:12:51 -0500

screen (4.0.2-1) unstable; urgency=low

  * ack NMU                                         (closes: #223085, #222420)
  * add rxvt to scrollback example in README.Debian and /etc/screenrc
                                                             (closes: #206193)
  * fix typo in example bind line in screenrc                (closes: #214727)
  * add Brazilian Portuguese debconf translation (thanks Andre Luis Lopes)
                                                             (closes: #218809)
  * add screen to /etc/shells                                (closes: #148715)

 -- Adam Lazur <zal@debian.org>  Sat,  6 Dec 2003 18:25:10 -0500

screen (4.0.2-0.1) unstable; urgency=medium

  * NMU
  * New upstream release. No upstream changelog found. ansi.c has been changed
    to fix CAN-2003-0972, a signed integer overflow that allowed for arbitrary 
    code execution as group utmp (or as root on systems where screen was 
    installed setuid root). (Addresses #222385 for sid)
  * [debian/rules] Changed the order of chmod/chown of the screen binary and
    the run directory to chown, chmod as chown no longer preserves setuid and
    setgid bits as of coreutils 5.0.1. (Closes: #222420)

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sat,  6 Dec 2003 18:43:11 +0100

screen (4.0.1-3) unstable; urgency=low

  * fix autoconf varargs detection (using vsprintf) on alpha, which leads to
    a binary that segfaults                                  (closes: #213842)

 -- Adam Lazur <zal@debian.org>  Thu,  2 Oct 2003 23:14:39 -0400

screen (4.0.1-2) unstable; urgency=low

  * build-depend on libncursesw5 to get autoconf to pick it up... doh

 -- Adam Lazur <zal@debian.org>  Tue, 30 Sep 2003 23:40:11 -0400

screen (4.0.1-1) unstable; urgency=low

  * New Upstream Release                                     (closes: #210280)
    * rewritten command parser


=== debian/control ===
Source: screen-n900
Section: misc
Priority: optional
Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
Standards-Version: 3.6.1
Build-Depends: libncursesw5-dev, texinfo, base-passwd (>= 2.0.3.4), debhelper (>> 4.1.17)

Package: screen-n900
Architecture: any
Depends: ${shlibs:Depends}, base-passwd (>= 2.0.3.4), passwd (>= 1:4.0.3-10), ncurses-base
Pre-Depends: ${misc:Depends}
Conflicts: suidmanager (<< 0.52), screen
Description: a terminal multiplexor with VT100/ANSI terminal emulation
 screen is a terminal multiplexor that runs several separate "screens" on a
 single physical character-based terminal.  Each virtual terminal emulates a
 DEC VT100 plus several ANSI X3.64 and ISO 2022 functions.  Screen sessions
 can be detached and resumed later on a different terminal.
 .
 Screen also supports a whole slew of other features.  Some of these are:
 configurable input and output translation, serial port support, configurable
 logging, multi-user support, and utf8 charset support.

## screen-n900 4.0.3-0.3osso4%2b0m5-2

=== debian/changelog ===
screen-n900 (4.0.3-0.3osso4+0m5-2) unstable; urgency=low

  * Renamed (because sdk-repository has already package 'screen')

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Sun, 10 Jul 2011 22:35:24 +0300

## screen-n900 4.0.3-0.3osso4%2b0m5-3

=== debian/changelog ===
screen-n900 (4.0.3-0.3osso4+0m5-3) unstable; urgency=low

  * Renamed (because sdk-repository has already package 'screen')
  * Removed  /usr/sbin/add-shell on postinst

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Sun, 10 Jul 2011 22:35:24 +0300

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,6 @@
 Package: screen-n900
 Architecture: any
 Depends: ${shlibs:Depends}, base-passwd (>= 2.0.3.4), passwd (>= 1:4.0.3-10), ncurses-base
-Pre-Depends: ${misc:Depends}
 Conflicts: suidmanager (<< 0.52), screen
 Description: a terminal multiplexor with VT100/ANSI terminal emulation
  screen is a terminal multiplexor that runs several separate "screens" on a

=== debian/rules ===
#!/usr/bin/make -f
#
# Copyright (C) 1997 joost witteveen <joost@rulcmc.leidenuniv.nl>
# Copyright (C) 1997-2001 Juan Cespedes <cespedes@debian.org>
# Copyright (C) 2001 Adam Lazur <zal@debian.org>

# Uncomment me to turn on debugging
#export DH_VERBOSE=1

include /usr/share/dpatch/dpatch.make

# the debhelper compatability version
export DH_COMPAT=3

package = screen-n900

ROOT = $(shell pwd)/debian/$(package)

# statically define this... sucko
TTYGROUP = 5
configure: dpatch configure-stamp
configure-stamp: patch-stamp
	dh_testdir
	./configure --prefix=/usr \
		    --infodir='$$(prefix)/share/info' \
		    --mandir='$$(prefix)/share/man' \
		    --with-socket-dir=/var/run/screen \
		    --with-pty-mode=0620 \
		    --with-pty-group=${TTYGROUP} \
		    --enable-rxvt_osc \
		    --with-sys-screenrc=/etc/screenrc
#		    --enable-colors256
	touch $@

build: build-stamp
build-stamp: configure-stamp
	dh_testdir
	$(MAKE) CFLAGS+='-O2 -g -Wall'
	for file in doc/screen.texinfo doc/screen.1 ; do \
	    sed -f debian/mod_docs.sed $${file} > $${file}.new && \
	    mv $${file}.new $${file} ; \
	done
	touch $@

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f configure-stamp build-stamp
	# clean up after the build process
	-$(MAKE) clean
	rm -rf config.status
	$(MAKE) -f debian/rules unpatch
	rm -f patch-stamp*
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	# can't call the normal install target b/c it installs the info files
	# and other crud
	$(MAKE) prefix=$(ROOT)/usr SCREENENCODINGS='$$(prefix)/share/screen/utf8encodings' installdirs install_bin
	# install the debian screenrc to etc
	install -m 644 debian/screenrc $(ROOT)/etc
	# hack around the fact that the install target makes screen a symlink
	# to screen-$(VERSION)
	rm -f $(ROOT)/usr/bin/screen
	mv -f $(ROOT)/usr/bin/screen* $(ROOT)/usr/bin/screen
	# make it setgid utmp
	chown root:utmp $(ROOT)/usr/bin/screen
	chmod 2755 $(ROOT)/usr/bin/screen
	chown root:utmp $(ROOT)/var/run/screen
	chmod 775 $(ROOT)/var/run/screen
	# lintian overrides for the setgid bin etc
	install -m 755 -d $(ROOT)/usr/share/lintian/overrides
	install -m 644 debian/screen.lintian.overrides $(ROOT)/usr/share/lintian/overrides/screen
	# cheat a little here and copy the README.terminfo into the terminfo
	# dir for dh_installdocs to pick up later
	install -m 644 debian/README.terminfo terminfo

binary-indep: build install

binary: binary-arch

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdebconf
	dh_installdocs
	dh_installexamples
	dh_installman || true
	dh_installinfo
	dh_installchangelogs -k patchlevel.h
	dh_installinit --no-start --init-script='screen-cleanup' --update-rcd-params='start 70 S .'
	dh_strip
	dh_compress
	dh_fixperms -X/usr/bin/screen -X/var/run/screen
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

.PHONY: build clean binary-indep binary-arch binary install

## screen-n900 4.0.3-0.3osso4%2b0m5-4

=== debian/changelog ===
screen-n900 (4.0.3-0.3osso4+0m5-4) unstable; urgency=low

  * Renamed (because sdk-repository has already package 'screen')
  * Removed  /usr/sbin/add-shell on postinst
  * Changed debian/screenrc:82  xterm  -> *xterm (so it match also osso-xterm)

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Sun, 10 Jul 2011 23:26:24 +0300

## screen-n900 4.0.3-0.3osso4%2b0m5-5

=== debian/changelog ===
screen-n900 (4.0.3-0.3osso4+0m5-5) unstable; urgency=low

  * Renamed (because sdk-repository has already package 'screen')
  * Removed  /usr/sbin/add-shell on postinst
  * Removed  /usr/sbin/remove-shel on postrm
  * Changed debian/screenrc:82  xterm  -> *xterm (so it match also osso-xterm)

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Sun, 10 Jul 2011 23:26:24 +0300
